#region Copyright Syncfusion Inc. 2001 - 2019
// Copyright Syncfusion Inc. 2001 - 2019. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

namespace Serialization
{
    using Serialization.Model;
    using System.Windows;

    public partial class MainWindow : Window
    {
        private string xmlString;
        public MainWindow()
        {
            InitializeComponent();   
        }

        private void BtnSerialize_Click(object sender, RoutedEventArgs e)
        {
            xmlString = this.pivotGrid1.SerializedXmlString();
        }

        private void BtnDeserialize_Click(object sender, RoutedEventArgs e)
        {
            this.pivotGrid1.DeserializeXmlString(xmlString);
        }
    }
}